Package com.sun.jna.platform.win32

## Class WinRas.RASDIALEXTENSIONS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinRas.RASDIALEXTENSIONS

Direct Known Subclasses:
  `WinRas.RASDIALEXTENSIONS.ByReference`

Enclosing interface:
  WinRas

    @FieldOrder({"dwSize","dwfOptions","hwndParent","reserved","reserved1","RasEapInfo","fSkipPppAuth","RasDevSpecificInfo"})
    public static class WinRas.RASDIALEXTENSIONS
    extends Structure

The RASDIALEXTENSIONS structure contains information about extended features of the RasDial function. Enable one or more of these extensions by passing a pointer to a RASDIALEXTENSIONS structure when you call RasDial. If you do not pass a pointer to a RASDIALEXTENSIONS structure to RasDial, RasDial uses the default settings that are noted in the following descriptions.

### Nested Class Summary

Nested Classes
`static class` `WinRas.RASDIALEXTENSIONS.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `dwfOptions` A set of bit flags that specify RasDial extensions.
`int` `dwSize` Specifies the size of this structure, in bytes.
`WinDef.BOOL` `fSkipPppAuth` Windows 7 or later: If this member is TRUE, then Point to Point Protocol (PPP) authentication is skipped and the value in RasDevSpecificInfo will be passed to the server for validation.
`WinDef.HWND` `hwndParent` Handle to a parent window that a security DLL can use for dialog box creation and centering.
`WinRas.RASDEVSPECIFICINFO` `RasDevSpecificInfo` Windows 7 or later: A RASDEVSPECIFICINFO structure that contains a cookie to be used for PPP authentication.
`WinRas.RASEAPINFO` `RasEapInfo` A RASEAPINFO structure that contains user-specific Extensible Authentication Protocol (EAP) information.
`BaseTSD.ULONG_PTR` `reserved` This member is reserved for future use.
`BaseTSD.ULONG_PTR` `reserved1` This member is reserved for future use.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`RASDIALEXTENSIONS()`
`RASDIALEXTENSIONS​(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwSize

    public int dwSize

Specifies the size of this structure, in bytes. Set this member to sizeof(RASDIALEXTENSIONS). This indicates the version of the structure.

#### dwfOptions

    public int dwfOptions

A set of bit flags that specify RasDial extensions. The following bit flags are defined; set all undefined bits to zero.

#### hwndParent

    public WinDef.HWND hwndParent

Handle to a parent window that a security DLL can use for dialog box creation and centering.

#### reserved

    public BaseTSD.ULONG_PTR reserved

This member is reserved for future use. It must be set to zero.

#### reserved1

    public BaseTSD.ULONG_PTR reserved1

This member is reserved for future use. It must be set to zero.

#### RasEapInfo

    public WinRas.RASEAPINFO RasEapInfo

A RASEAPINFO structure that contains user-specific Extensible Authentication Protocol (EAP) information.

#### fSkipPppAuth

    public WinDef.BOOL fSkipPppAuth

Windows 7 or later: If this member is TRUE, then Point to Point Protocol (PPP) authentication is skipped and the value in RasDevSpecificInfo will be passed to the server for validation. Otherwise, this member is FALSE and PPP authentication proceeds normally.

#### RasDevSpecificInfo

    public WinRas.RASDEVSPECIFICINFO RasDevSpecificInfo

Windows 7 or later: A RASDEVSPECIFICINFO structure that contains a cookie to be used for PPP authentication. This cookie is only valid if fSkipPppAuth is TRUE.

### Constructor Detail

#### RASDIALEXTENSIONS

    public RASDIALEXTENSIONS()

#### RASDIALEXTENSIONS

    public RASDIALEXTENSIONS​(Pointer memory)